> For the complete documentation index, see [llms.txt](https://docs.platform.softwareone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.platform.softwareone.com/developer-resources/rest-api/extensions-api/document.md).

# Document

The Document object provides the ability to upload extension documentation (via an online link or file upload) to the extension object.

<table data-search="false"><thead><tr><th width="165">Field</th><th width="154">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code></td><td>string</td><td>The ID of the document object. </td></tr><tr><td><code>name</code></td><td>string</td><td>The name of the document object. </td></tr><tr><td><code>description</code></td><td>string</td><td>A description of the document object. </td></tr><tr><td><code>type</code></td><td>string</td><td>The type of the document object.</td></tr><tr><td><code>url</code></td><td>string</td><td>The URI to access the document object. </td></tr><tr><td><code>language</code></td><td>string</td><td>The language of the document object. </td></tr><tr><td><code>status</code></td><td>enum</td><td><p>The status of the document object. Allowed values are: </p><ul><li><code>Draft</code></li><li><code>Published</code></li><li><code>Unpublished</code></li></ul></td></tr><tr><td><code>extension</code></td><td>object</td><td>Represents the <a href="/pages/7vewTFv6a6T3SZlxCUJM"><code>extension</code></a> object.</td></tr><tr><td><code>audit</code></td><td>object</td><td>Represents the <a href="/pages/RnSJqP4ZqAW7vD2MWeVM"><code>audit</code></a> object.</td></tr></tbody></table>

## Example <a href="#example" id="example"></a>

{% code title="DOCUMENT OBJECT" overflow="wrap" lineNumbers="true" %}

```json
 {
    "id": "EDM-1234-5678-0001",    
    "name": "Guide to establishing a reseller relationship",
    "description": "Learn what happens when you establish a reseller relationship with SoftwareOne",
    "type": "File",
    "url": "https://address.to.media.file.pl/abcde.docx",
    "language": "pl-pl",
    "status": "Draft",
    "extension": {
      "id": "EXT-1234-5678",    
      "name": "Microsoft AI Cloud Partner",
      "icon": "/static/EXT-1234-5678/logo.png"
     },
    "audit": {
     "created": { "at": "...", "by": { } },
     "updated": { "at": "...", "by": { } }
   }
  }
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/extensions-api/document.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
